---
sidebar_position: 6
description: Get delivery appointment and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get delivery appointment
 Receives information about the delivery date, time and address agreed with the customer



`Function GetDeliveryAppointment(Val Token, Val UUID, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUID | --uuid | String | &#x2714; | Appointment UUID |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
The appointment must be previously created. See RegisterDeliveryAppointment

Method at API documentation: [Information about delivery appointment](https://api-docs.cdek.ru/36989601.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID  = "966e8a71-cd51-44dd-abc3-192c23096bfd";

    Result = OPI_CDEK.GetDeliveryAppointment(Token, UUID, True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek GetDeliveryAppointment \
             --token "***" \
             --uuid "8c823c59-e0ba-433a-8349-c638a5ea8853" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek GetDeliveryAppointment ^
             --token "***" ^
             --uuid "8c823c59-e0ba-433a-8349-c638a5ea8853" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "entity": {
  "cdek_number": "1106207236",
  "order_uuid": "4c7113d6-e20b-4218-9fd9-2cf33b75a384",
  "date": "2025-11-14",
  "time_from": "10:00",
  "time_to": "17:00",
  "comment": "Group office",
  "to_location": {
   "code": 270,
   "city": "Novosibirsk",
   "fias_guid": "0c5b2444-70a0-4932-980c-b4dc0d3f02b5",
   "kladr_code": "7700000000000",
   "country_code": "RU",
   "region": "Novosibirsk",
   "sub_region": "Novosibirsk",
   "longitude": 37.6204,
   "latitude": 55.754,
   "address": "st. Bluchera, 33",
   "postal_code": "109004"
  },
  "uuid": "2bb6253b-d0ce-45cd-8281-f42bc5c03553",
  "statuses": [
   {
    "code": "INVALID",
    "name": "Некорректна",
    "date_time": "2025-10-31T12:03:58+00:00"
   },
   {
    "code": "ACCEPTED",
    "name": "Принята",
    "date_time": "2025-10-31T12:03:57+00:00"
   }
  ]
 },
 "requests": [
  {
   "request_uuid": "34e4bca2-59ed-4b54-9e50-786ae28b3242",
   "type": "CREATE",
   "date_time": "2025-10-31T12:03:57+00:00",
   "state": "INVALID",
   "errors": [
    {
     "code": "delivery_date_too_late",
     "message": "Указанная дата доставки не может быть позднее 2025-11-11"
    }
   ]
  }
 ],
 "related_entities": []
}
```
